Package org.eclipse.zest.layouts

# Class LayoutIterationEvent

java.lang.Object
org.eclipse.zest.layouts.LayoutIterationEvent

@Deprecated(since="2.0", forRemoval=true) public class LayoutIterationEvent extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.
When a layout completes an iteration, it throws this event to allow the application to update. For example, at the end of an iteration is can be assumed the layout has placed each entity into a new location. This event allows the application to update the GUI to represent the new locations

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`LayoutIterationEvent()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`List`
`getEntitiesToLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
Return the entities used in this layout.
`int`
`getIterationCompleted()`
Deprecated, for removal: This API element is subject to removal in a future version.
Return the iteration of the layout algorithm that was just completed.
`List`
`getRelationshipsToLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
Return the relationships used in this layout.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LayoutIterationEvent

public LayoutIterationEvent()
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### getRelationshipsToLayout

public List getRelationshipsToLayout()
Deprecated, for removal: This API element is subject to removal in a future version.
Return the relationships used in this layout.

### getEntitiesToLayout

public List getEntitiesToLayout()
Deprecated, for removal: This API element is subject to removal in a future version.
Return the entities used in this layout.

### getIterationCompleted

public int getIterationCompleted()
Deprecated, for removal: This API element is subject to removal in a future version.
Return the iteration of the layout algorithm that was just completed.